import dynamix_sdk.base as _base


class CloudapiComputeRestoreResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeRestoreProtocol(_base.BasePostAPIFunctionProtocol):
    def restore(
        self,
        *,
        vm_id: int,
    ) -> CloudapiComputeRestoreResultBool:
        ...
